Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Interface PrivilegedAction<T>

    public interface PrivilegedAction<T>

A computation to be performed with privileges enabled. The computation is performed by invoking `AccessController.doPrivileged` on the `PrivilegedAction` object. This interface is used only for computations that do not throw checked exceptions; computations that throw checked exceptions must use `PrivilegedExceptionAction` instead.

See Also:
  `AccessController`, `AccessController.doPrivileged(PrivilegedAction)`, `PrivilegedExceptionAction`

Method Summary
`T` | `run()` Performs the computation.

Method Detail

### run

    T run()

  Performs the computation. This method will be called by `AccessController.doPrivileged` after enabling privileges.

  Returns:
    a class-dependent value that may represent the results of the computation. Each class that implements `PrivilegedAction` should document what (if anything) this value represents.
  See Also:
    `AccessController.doPrivileged(PrivilegedAction)`, `AccessController.doPrivileged(PrivilegedAction, AccessControlContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.